<?php
/**
 * Sample implementation of the Custom Header feature
 * @package Local Supermarket
 */

/**
 * Set up the WordPress core custom header feature.
 *
 * @uses local_supermarket_header_style()
 */
function local_supermarket_custom_header_setup()
{
    add_theme_support('custom-header',
        array(
			'default-image' => get_parent_theme_file_uri( '/assets/images/default-header-image.png' ),
			'width' => 1920,
			'flex-width' => true,
			'height' => 400,
			'flex-height' => true,
			'header-text' => false,
	));
    register_default_headers( array(
        'default-image' => array(
            'url'           => '%s/assets/images/default-header-image.png',
            'thumbnail_url' => '%s/assets/images/default-header-image.png',
            'description'   => __( 'Default Header Image', 'local-supermarket' ),
        ),
    ) );
}

add_action('after_setup_theme', 'local_supermarket_custom_header_setup');